import java.io.IOException;

import org.kwis.msp.lcdui.Jlet;
import org.kwis.msp.lcdui.Display;
import org.kwis.msp.lcdui.Image;

import org.kwis.msp.lwc.Component;
import org.kwis.msp.lwc.ShellComponent;
import org.kwis.msp.lwc.ImageComponent;

public class ImageComponentEx1 extends Jlet{

	Display displayLCD ;
	ShellComponent shell;
		

	public ImageComponentEx1(){   
		displayLCD = Display.getDefaultDisplay();
		shell = new ShellComponent();
	}

	protected void startApp(String[] arg0){

		ImageComponent imgCmp = new ImageComponent();

		Image img = null;

		try{
			img = Image.createImage("/hambuger.gif");
		}catch(IOException e ){
		
		}

		imgCmp.setImage(img);

		//imgCmp.setLayout(Component.LAYOUT_LEFT);
		//imgCmp.setLayout(Component.LAYOUT_RIGHT);
		//imgCmp.setLayout(Component.LAYOUT_TOP);
		//imgCmp.setLayout(Component.LAYOUT_BOTTOM);
		//imgCmp.setLayout(Component.LAYOUT_HCENTER);
		//imgCmp.setLayout(Component.LAYOUT_VCENTER);

		imgCmp.setLayout(Component.LAYOUT_VCENTER| Component.LAYOUT_HCENTER);


		shell.setTitle("Image Á¤·Ä");
		shell.setWorkComponent(imgCmp);

		displayLCD.pushCard(shell.getCard());


		
	}
	protected void destroyApp(boolean arg0) {  }

	

}
